%global fontname cinzel
%global fontconf 63-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        1.0
Release:        2.20141222%{?dist}
Summary:        Cinzel font family
License:        OFL

URL:            http://openfontlibrary.org/en/font/cinzel-bold
Source0:        http://openfontlibrary.org/assets/downloads/cinzel-bold/f27008447a7b5cb3196de1960e2107d3/cinzel-bold.zip
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
Serif font created by Natanael Gama with OFL license.

%prep
%setup -q -c %{name}-%{version}

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.otf
%doc *.txt
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Tue Jun 09 2015 Carlos Morel-Riquelme <iplavvia@fedoraproject.org> -2.1-2.20141222
- Update prefix
* Wed May 13 2015 Carlos MorelRiquelme <iplavvia@gmail.com> - 1.001-1.20141222
- Initial version
- Add metainfo file to show this font in gnome-software

